Loading...
Searching...
No Matches
caf::param< T > Class Template Reference

Represents a message handler parameter of type T and guarantees copy-on-write semantics. More...

`#include <param.hpp>`

## Public Types

enum | flag { shared_access , exclusive_access , private_access }

## Public Member Functions

| param (const void *ptr, bool is_shared)
| param (const param &other)=delete
param & | operator= (const param &other)=delete
| param (param &&other)
const T & | get () const
| operator const T & () const
const T * | operator-> () const
T & | get_mutable ()
| Detaches the value if needed and returns a mutable reference to it.
T && | move ()
| Moves the value out of the param.

## Detailed Description

template<class T>
class caf::param< T >

Represents a message handler parameter of type T and guarantees copy-on-write semantics.

The documentation for this class was generated from the following files:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/fwd.hpp
- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/param.hpp